<div class="textbox">

	<h3>Example textblock</h3>

	<p>This is a reusable text block. Its content is maintained centrally, i.e. changes are immediately visible in all articles in which it is included.</p>

<p>Text blocks can contain any content, e.g. links or images, but also PHP code, such as the following function for displaying the post categories (copied here from the "categories.php" widget):</p>

<?php
	function FillWidgetCats()
	{
		global $indexFile;
		global $catSums;

		echo '<ul>';
		foreach ($catSums as $cat => $n)
		{
			echo '<li><a href="./' . $indexFile . '?cats=' . $cat . '">' . $cat . '</a> (' . $n . ')</li>';
		}
		echo '</ul>';
	}

	FillWidgetCats();
?>

</div>
